org.richfaces.component

## Class AbstractTogglePanelItem

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UIOutput
      - - org.richfaces.component.AbstractTogglePanelItem

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.ValueHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, AbstractDivPanel, AbstractTogglePanelItemInterface, org.richfaces.ui.common.VisitChildrenRejectable
  Direct Known Subclasses:
    AbstractAccordionItem, UITogglePanelItem

      public abstract class AbstractTogglePanelItem
      extends javax.faces.component.UIOutput
      implements AbstractTogglePanelItemInterface

  The <rich:togglePanelItem> component is a switchable panel for use with the <rich:togglePanel> component. Use the <rich:togglePanelItem> component to define the content for a panel using nested components. Switching between <rich:togglePanelItem> components is handled by the <rich:toggleControl> behavior.

  Author:
    akolonitsky, Brian Leathem

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`
    `protected static String` | `NAME`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractTogglePanelItem()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getFamily()`
    `String` | `getName()` The name of the panel, used for identifying and manipulating the active panel.
    `AbstractTogglePanel` | `getParentPanel()`
    `org.richfaces.component.SwitchType` | `getSwitchType()` The switch type for this toggle panel: client, ajax (default), server
    `abstract Object` | `getValue()` Suppress the inherited value attribute from the taglib.
    `boolean` | `isActive()`
    `boolean` | `isDynamicPanelItem()`
    `void` | `setName(String name)`
    `void` | `setSwitchType(org.richfaces.component.SwitchType switchType)`
    `boolean` | `shouldVisitChildren()`
    `String` | `toString()`
    `boolean` | `visitTree(javax.faces.component.visit.VisitContext context, javax.faces.component.visit.VisitCallback callback)`

    - ### Methods inherited from class javax.faces.component.UIOutput

      `clearInitialState, getConverter, getLocalValue, markInitialState, resetValue, restoreState, saveState, setConverter, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.AbstractTogglePanelItemInterface

      `getClientId, getOnenter, getOnleave, isRendered`

    - ### Methods inherited from interface org.richfaces.component.AbstractDivPanel

      `getDir, getLang, getOnclick, getOndblclick, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getStyle, getStyleClass, getTitle`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### NAME

          protected static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractTogglePanelItem

          protected AbstractTogglePanelItem()

  - ### Method Detail

    - #### getValue

          public abstract Object getValue()

      Suppress the inherited value attribute from the taglib.
      Specified by:
        `getValue` in interface `javax.faces.component.ValueHolder`
      Overrides:
        `getValue` in class `javax.faces.component.UIOutput`

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `javax.faces.component.UIOutput`

    - #### getParentPanel

          public AbstractTogglePanel getParentPanel()

      Specified by:
        `getParentPanel` in interface `AbstractTogglePanelItemInterface`

    - #### isDynamicPanelItem

          public boolean isDynamicPanelItem()

      Specified by:
        `isDynamicPanelItem` in interface `AbstractTogglePanelItemInterface`

    - #### isActive

          public boolean isActive()

      Specified by:
        `isActive` in interface `AbstractTogglePanelItemInterface`

    - #### shouldVisitChildren

          public boolean shouldVisitChildren()

      Specified by:
        `shouldVisitChildren` in interface `org.richfaces.ui.common.VisitChildrenRejectable`

    - #### getName

          public String getName()

      The name of the panel, used for identifying and manipulating the active panel. If you do not specify a name, the clientId will be used as the name.
      Specified by:
        `getName` in interface `AbstractTogglePanelItemInterface`

    - #### setName

          public void setName(String name)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getSwitchType

          public org.richfaces.component.SwitchType getSwitchType()

      The switch type for this toggle panel: client, ajax (default), server
      Specified by:
        `getSwitchType` in interface `AbstractTogglePanelItemInterface`

    - #### setSwitchType

          public void setSwitchType(org.richfaces.component.SwitchType switchType)

    - #### visitTree

          public boolean visitTree(javax.faces.component.visit.VisitContext context,
                          javax.faces.component.visit.VisitCallback callback)

      Overrides:
        `visitTree` in class `javax.faces.component.UIComponent`

Copyright © 2014 JBoss by Red Hat. All rights reserved.